Package com.fasterxml.jackson.core.sym

# Class Name3

java.lang.Object
com.fasterxml.jackson.core.sym.Name
com.fasterxml.jackson.core.sym.Name3

public final class Name3 extends Name
Specialized implementation of PName: can be used for short Strings that consists of 9 to 12 bytes. It's the longest special purpose implementaion; longer ones are expressed using `NameN`.

## Field Summary

### Fields inherited from class com.fasterxml.jackson.core.sym.Name

`_hashCode, _name`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(int quad)`
`boolean`
`equals(int[] quads, int qlen)`
`boolean`
`equals(int quad1, int quad2)`
`boolean`
`equals(int quad1, int quad2, int quad3)`

### Methods inherited from class com.fasterxml.jackson.core.sym.Name

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### equals

public boolean equals(int quad)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int quad1, int quad2)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int quad1, int quad2, int quad3)

Specified by:
  `equals` in class `Name`

### equals

public boolean equals(int[] quads, int qlen)

Specified by:
  `equals` in class `Name`